//ES5
var fruits = ['apple', 'banana', 'grapes', 'mango', 'orange'];

// Array filters items based on search criteria (query)
function filterItems(query) {
  return fruits.filter(function(el) {
      return el.toLowerCase().indexOf(query.toLowerCase()) > -1;
  })
}

console.log(filterItems('ap')); // ['apple', 'grapes']
console.log(filterItems('an')); // ['banana', 'mango', 'orange']

//ES6
/*
const fruits = ['apple', 'banana', 'grapes', 'mango', 'orange'];

// Array filters items based on search criteria (query)
const filterItems = (query) => {
  return fruits.filter((el) =>
    el.toLowerCase().indexOf(query.toLowerCase()) > -1);
}

console.log(filterItems('ap')); // ['apple', 'grapes']
console.log(filterItems('an')); // ['banana', 'mango', 'orange']
*/